# Payment Methods

Payment methods represents payment method details associated with a customer account.

 - [POST /v1/payment-methods](https://developer.zuora.com/v1-api-reference/api/payment-methods/post_paymentmethods.md): You can use this operation to create either a payment method associated with a specific customer account, or an orphan payment method that is not associated with any customer account. To view the appl
 - [POST /v1/payment-methods/decryption](https://developer.zuora.com/v1-api-reference/api/payment-methods/post_paymentmethodsdecryption.md): The decryption API endpoint can conditionally perform 4 tasks in one atomic call: * Decrypt Apple Pay Payment token * Create Credit Card Payment Method in Zuora with decrypted Apple Pay information *
 - [DELETE /v1/payment-methods/{payment-method-id}](https://developer.zuora.com/v1-api-reference/api/payment-methods/delete_paymentmethods.md): Deletes a credit card payment method. If the specified payment method is the account's default payment method, the request will fail. In that case, you must first designate a different payment metho
 - [GET /v1/payment-methods/{payment-method-id}](https://developer.zuora.com/v1-api-reference/api/payment-methods/get_paymentmethod.md): Use this operation to get the detailed information of an electronic payment method. To retrieve information of both electronic and non-electronic payment methods, use the [Object Query](https://develo
 - [PUT /v1/payment-methods/{payment-method-id}](https://developer.zuora.com/v1-api-reference/api/payment-methods/put_paymentmethod.md): This operation allows you to update an existing payment method. The following fields in the request body can be updated for any payment method types: - `maxConsecutivePaymentFailures` - `paymentRetryW
 - [PUT /v1/payment-methods/{payment-method-id}/verify](https://developer.zuora.com/v1-api-reference/api/payment-methods/put_verifypaymentmethods.md): Sends an authorization request to the corresponding payment gateway to verify the payment method, even though no changes are made for the payment method. Supported payment methods are Credit Cards and
 - [PUT /v1/payment-methods/{payment-method-id}/scrub](https://developer.zuora.com/v1-api-reference/api/payment-methods/put_scrubpaymentmethods.md): This operation enables you to replace all sensitive data in a payment method, related payment method snapshot table, and four related log tables with dummy values that will be stored in Zuora database
 - [GET /v1/payment-methods/{payment-method-id}/balance](https://developer.zuora.com/v1-api-reference/api/payment-methods/getbankaccountbalance.md): Zuora supports Plaid's Auth and Balance products for ACH transactions. Auth authenticates account details before sending requests to the gateway, while Balance checks the real-time account balance bef
 - [GET /v1/payment-methods/{payment-method-id}/profiles](https://developer.zuora.com/v1-api-reference/api/payment-methods/get_storedcredentialprofiles.md): Retrieves the stored credential profiles within a payment method.
 - [POST /v1/payment-methods/{payment-method-id}/profiles](https://developer.zuora.com/v1-api-reference/api/payment-methods/post_createstoredcredentialprofile.md): Creates a stored credential profile within a payment method. The stored credential profile represents a consent agreement that you have established with a customer. When you use the payment method in
 - [POST /v1/payment-methods/{payment-method-id}/profiles/{profile-number}/cancel](https://developer.zuora.com/v1-api-reference/api/payment-methods/post_cancelstoredcredentialprofile.md): Cancels a stored credential profile within a payment method. Cancelling the stored credential profile indicates that the stored credentials are no longer valid, per a customer request. You cannot rea
 - [POST /v1/payment-methods/{payment-method-id}/profiles/{profile-number}/expire](https://developer.zuora.com/v1-api-reference/api/payment-methods/post_expirestoredcredentialprofile.md): Expires a stored credential profile within a payment method. Expiring the stored credential profile indicates that the stored credentials are no longer valid, per an expiration policy in the stored c
 - [POST /v1/payment-methods/{payment-method-id}/profiles/{profile-number}/profile-data](https://developer.zuora.com/v1-api-reference/api/payment-methods/addgatewayprofiledata.md): Adds gateway profile data to an existing stored credential profile within a payment method. Use this operation to seed or backfill gateway-specific data, such as the `authGateway` and `networkTransact
 - [GET /v1/payment-methods/wallet/domains](https://developer.zuora.com/v1-api-reference/api/payment-methods/getwalletdomains.md): Use this operation to retreive list of registered domains. You can use `domainName` as the query parameter to restrict domains returned in the response. Specify a domain name and the registered domain
 - [POST /v1/payment-methods/wallet/domains](https://developer.zuora.com/v1-api-reference/api/payment-methods/registerwalletdomain.md): Before adding Apple Pay to your checkout flow by integrating with the JavaScript SDK provided by Zuora, your domains that will show the Apple Pay button must be registered with Apple. Use this operati
 - [DELETE /v1/payment-methods/wallet/domains/{id}](https://developer.zuora.com/v1-api-reference/api/payment-methods/deleteunregisterwalletdomain.md): Use this operation to unregister a wallet domain.
 - [POST /web-payments/sessions](https://developer.zuora.com/v1-api-reference/api/payment-methods/post_createpaymentsession.md): Use this operation to create a payment session on your server side. The response contains a token for the payment session data. In addition to the required `accountId` and `currency` fields, you can s
